#!/usr/bin/env  python
# -*- coding: Latin-1 -*-
#
# SMM Share and Money Management
# Copyright (c) 2007 Carsten Grohmann
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2 of the
# License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.

## \file tests/test_database.py
#
# \brief Test database related stuff like creating of objects
#
# \author Carsten Grohmann <mail (at) carstengrohmann (dot) de>
#
# \par License:
# GPL version 2.0
#
# \version $Id: test_database.py,v 1.3 2009-04-06 13:36:27 carsten Exp $
#
# \par Revision History:
# \code
# $Log: test_database.py,v $
# Revision 1.3  2009-04-06 13:36:27  carsten
# - typo in license statement
#
# Revision 1.2  2008-04-27 19:50:12  carsten
# - replace "stock" by "share" - I like British English :-)
#
# Revision 1.1  2007-12-25 19:10:22  carsten
# - Initial import of the current partly running version
#
# \endcode


# import general python modules
import unittest

# import project modules
from storm.locals import *
import smm

## Test creation and initial load into a SQLite database
class TestDatabase(unittest.TestCase):

    ## Creates a in-memory database
    def setUp(self):
        smm.database.init_storm('sqlite:')

    ## Tests initial loading using objects
    def test_filling(self):
        smm.db_setup.create_structure()
        smm.db_setup.load_initial_data()


if __name__ == '__main__':
    unittest.main()
